Eclipse Remote Application Platform

## org.eclipse.rap.rwt.widgets
Interface DialogCallback

    public interface DialogCallback

This callback interface is used to inform application code that a dialog was closed.

Since:
  2.0
See Also:
  `DialogUtil`

Method Summary
`void` `dialogClosed(int returnCode)` This method is called after a dialog was closed.

Method Detail

### dialogClosed

    void dialogClosed(int returnCode)

  This method is called after a dialog was closed. The meaning of the `returnCode` is defined by the respective `Dialog` implementation but usually indicates how the dialog was left. For example, pressing the 'OK' button would lead to the `returnCode` `SWT.OK`.

  Parameters:
    `returnCode` - `SWT.CANCEL` if the dialog was closed with the shells' close button, a dialog-specific return code otherwise.
  See Also:
    `SWT`, `Dialog`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0